Package org.jcsp.lang

# Class RejectableAltingChannelInput

java.lang.Object
org.jcsp.lang.Guard
org.jcsp.lang.AltingChannelInput
org.jcsp.lang.RejectableAltingChannelInput

All Implemented Interfaces:
  `ChannelInput`, `Poisonable`, `RejectableChannelInput`

public abstract class RejectableAltingChannelInput extends AltingChannelInput implements RejectableChannelInput
Deprecated.
This channel is superceded by the poison mechanisms, please see `PoisonException`
Defines an interface for an input channel end that gives the reader the ability to reject instead of accepting pending data.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`RejectableAltingChannelInput()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`reject()`
Deprecated.
Reject any data pending instead of reading it.

### Methods inherited from class org.jcsp.lang.AltingChannelInput

`pending`

### Methods inherited from class org.jcsp.lang.Guard

`schedule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

## Constructor Details

### RejectableAltingChannelInput

public RejectableAltingChannelInput()
Deprecated.

## Method Details

### reject

public abstract void reject()
Deprecated.
Reject any data pending instead of reading it. The currently blocked writer will receive a `ChannelDataRejectedException`.

Specified by:
  `reject` in interface `RejectableChannelInput`